import greenfoot.*;

public class NPC extends Mover
{
    // instance variables - replace the example below with your own
    //     private int direction;
    public boolean killed=false;

    /**
     * Constructor for objects of class NPC
     */
    public NPC()
    {
        super(0, 0, "npcRight.gif", 4);

        direction=Greenfoot.getRandomNumber(2)+1;
        setDX(0);
        setDY(0);
        aniLeft = new Animation("npcLeft.gif", 4, 100, 3, true);
        aniRight = new Animation("npcRight.gif", 4, 100,3, true);

    }

    public void update(){

        // update image
        switch (direction) {
            case myWorld.EAST:
            setAnimation(aniRight);
            break;
            case myWorld.WEST:
            setAnimation(aniLeft);
            break;
            default:
            break;
        }

        // update location
        int nextX = (int) nextPosition(direction).getX();
        int nextY = (int) nextPosition(direction).getY();
        if (collisionToCase == false && collisionToWall == false) {

            locX = nextX;
            locY = nextY;
        }	

        else if (collisionToCase == true || collisionToWall == true){
            direction=  randomDirection();
            if (collisionToCase == true) 
                collisionToCase =false;

        }

        super.update(direction);
    }

    public int randomDirection()
    {   
        int direction=0;
        // put your code here
        switch(Greenfoot.getRandomNumber(4)){
            case 0:direction=myWorld.EAST ;
            break;
            case 1:direction=myWorld.WEST ;
            break;
            case 2:direction=myWorld.SOUTH;
            break;
            case 3:direction=myWorld.NORTH;
            break;

        }

        return direction;
    }
}
