
import java.awt.Graphics;
import java.awt.Point;
import greenfoot.*;  

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author Administrator
 */
public class Case extends Sprite {

     public  int direction;
    public boolean collisionToBlock = false;
    public boolean collisionToMan = false;
    public boolean collisionToNPC = false;

    public Case() {
        image = setImage("rock.png");
        setX(4);
        setY(4);
    }

    public Point nextPosition(int direction) {
        int nextX = locX;
        int nextY = locY;
        switch (direction) {
            case myWorld.EAST:
                nextX += 1;
                break;
            case myWorld.WEST:
                nextX -= 1;
                break;
            case myWorld.NORTH:
                nextY -= 1;
                break;
            case myWorld.SOUTH:
                nextY += 1;
                break;
            default:
                break;
        }
        return new Point(nextX, nextY);
    }

    public void update() {
        if (collisionToMan == true) {
            int nextX = (int) nextPosition(direction).getX();
            int nextY = (int) nextPosition(direction).getY();
            direction=0;
            
            if (collisionToBlock == false) {
                Background.map[locY][locX] = 0;
                locX = nextX;
                locY = nextY;
                Background.map[locY][locX] = 2;
                Greenfoot.playSound("roll.wav");
            }
        }
    }

    public void draw(GreenfootImage g) {
        g.drawImage(image, myWorld.TILESIZE * locX, myWorld.TILESIZE * locY);
    }
}
