import java.awt.Point;
import greenfoot.*;  

public class Mover extends Sprite
{
    // instance variables - replace the example below with your own
    protected int direction;
    
    public boolean canChangeDirection = false;

	public boolean collisionToWall = false;

	public boolean collisionToCase = false;

	protected Animation aniLeft, aniRight, aniUp, aniDown;

// 	public  int locX = 0, locY = 0;

    /**
     * Constructor for objects of class Mover
     */
    public Mover(){}
    
    public Mover(int x, int y, String imfile, int num)
    {
        super(x,y,imfile,num);
    }

    
    	public Point nextPosition(int direction) {
		int nextX = locX;
		int nextY = locY;
		switch (direction) {
		case myWorld.EAST:
			nextX +=3;
			break;
		case myWorld.WEST:
			nextX -=3;
			break;
		case myWorld.NORTH:
			nextY -=3;
			break;
		case myWorld.SOUTH:
			nextY +=3;
			break;
		default:
			break;
		}
		return new Point(nextX, nextY);
	}
	
	public void draw(GreenfootImage g) {
		g.drawImage(image, locX, locY);
	}
	
	public void update(int direction){
	    
	    		if(direction!=0){
		animPlayer.updateImage();
		image = animPlayer.getCurrentImage();
		}
	    
	   }
	   
	   public void setCollisionToWall(boolean bool){
	       collisionToWall=bool;
	   }
	
	   public void setDirection(int dir){
	       direction=dir;
	   }
	       public int getDirection() {
        return direction;
    }
	   
}
